Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
[Java] Class TaskExecutionLogger

    java.lang.Object
      org.gradle.TaskExecutionLogger

All Implemented Interfaces:
  TaskExecutionListener

    public class TaskExecutionLogger

A listener which logs the execution of tasks.

Constructor Summary
`TaskExecutionLogger(ProgressLoggerFactory progressLoggerFactory, LoggerProvider parentLoggerPovider)`

Method Summary
`void` | `afterExecute(Task task, TaskState state)`
`void` | `beforeExecute(Task task)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### TaskExecutionLogger

    public TaskExecutionLogger(ProgressLoggerFactory progressLoggerFactory, LoggerProvider parentLoggerPovider)

Method Detail

### afterExecute

    public void afterExecute(Task task, TaskState state)

### beforeExecute

    public void beforeExecute(Task task)

Gradle API 1.10